AnakiaJDOMFactory (Velocity 1.4 API)
Keywords: org.apache.velocity.anakia.AnakiaJDOMFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.anakia
Class AnakiaJDOMFactory

    java.lang.Object
      org.jdom.input.DefaultJDOMFactory
          org.apache.velocity.anakia.AnakiaJDOMFactory

All Implemented Interfaces:
  org.jdom.input.JDOMFactory

public class AnakiaJDOMFactory
extends org.jdom.input.DefaultJDOMFactory

A customized JDOMFactory for Anakia that produces `AnakiaElement` instances instead of ordinary JDOM `Element` instances.

Version:
  $Id: AnakiaJDOMFactory.java,v 1.2.8.1 2004/03/03 23:22:04 geirm Exp $
Author:
  Attila Szegedi

Field Summary

Fields inherited from class org.jdom.input.DefaultJDOMFactory
``

Constructor Summary
`AnakiaJDOMFactory()`

Method Summary
`org.jdom.Element` | `element(java.lang.String name)`
`org.jdom.Element` | `element(java.lang.String name, org.jdom.Namespace namespace)`
`org.jdom.Element` | `element(java.lang.String name, java.lang.String uri)`
`org.jdom.Element` | `element(java.lang.String name, java.lang.String prefix, java.lang.String uri)`

Methods inherited from class org.jdom.input.DefaultJDOMFactory
`attribute, attribute, attribute, attribute, cdata, comment, docType, docType, docType, document, document, entityRef, entityRef, processingInstruction, processingInstruction, text`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnakiaJDOMFactory

    public AnakiaJDOMFactory()

Method Detail

### element

    public org.jdom.Element element(java.lang.String name,
                                    org.jdom.Namespace namespace)

### element

    public org.jdom.Element element(java.lang.String name)

### element

    public org.jdom.Element element(java.lang.String name,
                                    java.lang.String uri)

### element

    public org.jdom.Element element(java.lang.String name,
                                    java.lang.String prefix,
                                    java.lang.String uri)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.